Name:           nettle
Version:        3.6
Release:        5
Summary:        A low-level cryptographic library
License:        LGPLv3+ or GPLv2+
URL:            https://www.lysator.liu.se/~nisse/nettle/
Source0:        https://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz

Patch0:         0000-nettle-3.3-remove-ecc-testsuite.patch
BuildRequires:  automake autoconf fipscheck gcc gettext-devel gmp-devel libtool m4
BuildRequires:  nettle

Provides:      libnettle.so.6()(64bit) libnettle.so.6(NETTLE_6)(64bit) libhogweed.so.4()(64bit) libhogweed.so.4(HOGWEED_4)(64bit)
%description
Nettle is a cryptographic library designed to fit any context:
in crypto toolkits for object-oriented languages, in applications
like LSH or GnuPG, or even in kernel space.

%package devel
Summary:        Development headers for %{name} package
Requires:       %{name} = %{version}-%{release} gmp-devel

%description devel
The devel for %{name}

%package_help

%prep
%autosetup -n %{name}-3.6 -p1

sed s/ggdb3/g/ -i configure
sed 's/ecc-192.c//g' -i Makefile.in
sed 's/ecc-224.c//g' -i Makefile.in

%build
autoreconf -ifv
%configure --enable-shared --enable-fat
%make_build

%install
%make_install
make install-shared
install -D -p -m0644 nettle.info "$RPM_BUILD_ROOT%{_infodir}/nettle.info"
cp -p %{_libdir}/libnettle.so.6.*  $RPM_BUILD_ROOT%{_libdir}/
cp -p %{_libdir}/libhogweed.so.4.*  $RPM_BUILD_ROOT%{_libdir}/

chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libnettle.so.8.*
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libhogweed.so.6.*

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS descore.README nettle.pdf
%license COPYINGv2 COPYINGv3 COPYING.LESSERv3
%{_infodir}/nettle.info.gz
%{_libdir}/libnettle.so.6*
%{_libdir}/libhogweed.so.4*
%{_libdir}/libnettle.so.8*
%{_libdir}/libhogweed.so.6*
%exclude %{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/nettle/
%{_libdir}/*.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*

%files help
%defattr(-,root,root)
%doc NEWS README 
%doc nettle.html

%ldconfig_scriptlets

%changelog
* Tue Jul 21 2020 cuibaobao <cuibaobao1@huawei.com> - 3.6-5
- Type:update
- Id:NA
- SUG:NA
- DESC:update to 3.6 

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4.1rc1-4
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:add COPYINGv3 in license

* Wed Sep 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4.1rc1-3
- Package init
